import { Controller, Get, Param } from '@nestjs/common';
import { AppService } from './app.service';
import { ApiOkResponse, ApiOperation, ApiParam } from '@nestjs/swagger';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @Get('ad/:name.json')
  @ApiOperation({ summary: '获取指定表的广告' })
  @ApiParam({ name: 'name' })
  @ApiOkResponse({ type: [String] })
  getAd(@Param('name') name: string) {
    return this.appService.getAdArray(null, name);
  }

  @Get('workspace/:workspaceName/ad/:name.json')
  @ApiOperation({ summary: '获取指定表的广告' })
  @ApiParam({ name: 'name' })
  @ApiParam({ name: 'workspaceName' })
  @ApiOkResponse({ type: [String] })
  getSpecificAd(
    @Param('workspaceName') workspaceName: string,
    @Param('name') name: string,
  ) {
    return this.appService.getAdArray('workspaceName', name);
  }
}
