import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { ConfigModule } from '@nestjs/config';
import { loadConfig } from './utility/config';
import { CsvParseService } from './csv-parse/csv-parse.service';
import { WorkspaceService } from './workspace/workspace.service';

@Module({
  imports: [
    ConfigModule.forRoot({
      ignoreEnvVars: true,
      load: [loadConfig],
    }),
  ],
  controllers: [AppController],
  providers: [AppService, CsvParseService, WorkspaceService],
})
export class AppModule {}
